// 音声ファイル不在エラー
export class AudioFileNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AudioFileNotFoundError';
  }
}
// テンプレートファイル不在エラー
export class TemplateFileNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TemplateFileNotFoundError';
  }
}
// Account不一致エラー
export class AccountNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AccountNotMatchError';
  }
}
// Status不一致エラー
export class StatusNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'StatusNotMatchError';
  }
}
// Author不一致エラー
export class AuthorUserNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AuthorUserNotMatchError';
  }
}
// TypistUser不一致エラー
export class TypistUserNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TypistUserNotMatchError';
  }
}
